#!/bin/bash

export DISPLAY=:0
export XDG_RUNTIME_DIR=/run/user/1000

export LD_LIBRARY_PATH=/opt/Qt5/lib:/usr/local/lib:$LD_LIBRARY_PATH
export QT_QPA_EVDEV_KEYBOARD_PARAMETERS=grab=1
export QT_QPA_EVDEV_MOUSE_PARAMETERS=grab=1
export QT_QPA_EGLFS_NO_LIBINPUT=1
export QT_QPA_EGLFS_INTEGRATION=eglfs_kms

LOG_FILE=/tmp/recognition-module.log

pulseaudio -D

while :
do
    pulseaudio --check
    if [ $? -eq 0 ]
    then
        break
    fi
    sleep 1
    echo "Waiting for pulseaudio start..." >> $LOG_FILE
done

echo "Restarting pulseaudio" >> $LOG_FILE
pulseaudio -k

echo "Starting respeakerd" >> $LOG_FILE
/usr/local/bin/pulseaudio_safe.sh >> $LOG_FILE

while :
do
    pulseaudio --check
    if [ $? -eq 0 ]
    then
        break
    fi
    sleep 1
    echo "Waiting for pulseaudio start..."
done

while :
do
    pacmd list-sources | grep --quiet "alsa_input.platform-sound_0.seeed-8ch"
    if [ $? -eq 0 ]
    then
        break
    fi
    echo "Waiting for microphone array..." >> $LOG_FILE
    sleep 1
done

get-edid | parse-edid | grep --quiet "Monitor"
if [ $? -eq 0 ]
then
    QT_PLATFORM=eglfs
else
    QT_PLATFORM=linuxfb
fi
echo "Using Qt platform: ${QT_PLATFORM}" &>> $LOG_FILE

while true; do
    /usr/local/bin/recognition-module --platform ${QT_PLATFORM} &>> $LOG_FILE
    if [ $? -eq 0 ]
    then
        break
    fi
done
