#!/bin/bash

export LD_LIBRARY_PATH=/usr/local/lib:$LD_LIBRARY_PATH

REGISTRATION_BINARY=/home/respeaker/register_charly
RUN_LOG_FILE=/tmp/recognition-module-start.log

/usr/local/bin/buttons_init.sh

if test -f "$REGISTRATION_BINARY"; then
    while :
    do
        echo "Registering new Charly..." >> $RUN_LOG_FILE

        ${REGISTRATION_BINARY} &>> $RUN_LOG_FILE
        if [ $? -eq 0 ]
        then
            rm -v "${REGISTRATION_BINARY}"
            break
        fi
        sleep 5
    done
fi

chown respeaker /dev/mali

echo ds3231 0x68 > /sys/class/i2c-adapter/i2c-3/new_device
sleep 1

echo "Old date:" >> $RUN_LOG_FILE
date >> $RUN_LOG_FILE

while :
do
    echo "Settings system time from RTC..." >> $RUN_LOG_FILE
    hwclock -D -s -f /dev/rtc1 &>> $RUN_LOG_FILE
    if [ $? -eq 0 ]
    then
        echo "New date:" >> $RUN_LOG_FILE
        date >> $RUN_LOG_FILE
        break
    fi
    sleep 1
done

su -c /usr/local/bin/recognition-module.sh respeaker
